#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n,k,j;
    cin>>n>>k;
    long long a[n];
    for(long long i=0;i<n;i++)
    {
        cin>>a[i];
        if(a[i]==k) j=i;
    }
    if(j==n-1) cout<<a[0];
    else cout<<a[j+1];
}